unit MainForm;

interface

uses
  Winapi.Windows, Winapi.Messages,
  System.SysUtils, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.DBCtrls, Vcl.StdCtrls, Vcl.ExtCtrls,
  Data.DB,
  FireDAC.Stan.Intf, FireDAC.Stan.Option, FireDAC.Stan.Param, FireDAC.Stan.Error, FireDAC.DatS, FireDAC.Phys.Intf,
  FireDAC.DApt.Intf, FireDAC.Stan.Async, FireDAC.DApt, FireDAC.Comp.DataSet, FireDAC.Comp.Client,
  AdvDBLookupComboBox,
  dmBasic;

type
  TfrmMainForm = class(TForm)
    addblucbEntry: TAdvDBLookupComboBox;
    edt1: TEdit;
    dsEntry: TDataSource;
    fdtbEntry: TFDTable;
    intgrfldEntryIDENTRIES: TIntegerField;
    intgrfldEntryFKFOCS: TIntegerField;
    intgrfldEntryFKBLOCKS: TIntegerField;
    strngfldEntryTITLE: TStringField;
    smlntfldEntryNUMBER: TSmallintField;
    smlntfldEntryFIRSTFLOOR: TSmallintField;
    smlntfldEntryLASTFLOOR: TSmallintField;
    strngfldEntryCUSTODIAN: TStringField;
    strngfldEntryEMAIL: TStringField;
    strngfldEntryPHONE: TStringField;
    blnfldEntryISLIFT: TBooleanField;
    smlntfldEntryLIFTFLOOR: TSmallintField;
    strngfldEntryTITLEFULL: TStringField;
    dsBlock: TDataSource;
    fdtbBlock: TFDTable;
    intgrfldBlockIDBLOCKS1: TIntegerField;
    intgrfldBlockFKFOCS1: TIntegerField;
    strngfldBlockTITLE1: TStringField;
    procedure addblucbEntryKeyPress(Sender: TObject; var Key: Char);
    procedure btnShowMyTestClick(Sender: TObject);
  end;

var
  frmMainForm: TfrmMainForm;

implementation

{$R *.dfm}

uses
  MyTest;

procedure TfrmMainForm.addblucbEntryKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then
  begin
    var LHWND := GetFocus;
    var LW := FindControl(LHWND);

    if LW = nil then
    begin
      LHWND := GetParent(LHWND);
      LW := FindControl(LHWND);
    end;

    if LW <> nil then
    begin
      var LShiftPressed := (GetKeyState(VK_SHIFT) and $8000) > 0;
      SelectNext(LW, not LShiftPressed, True);
      Key := #0;
    end;
  end;

  inherited;
end;

procedure TfrmMainForm.btnShowMyTestClick(Sender: TObject);
begin
  frmMyTest.ShowModal;
end;

end.
